Catchable fatal error: Argument 1 passed to Flow\Formatter\RevisionFormatter::formatApi() must be an instance of Flow\Formatter\FormatterRow, bool given
Closed, ResolvedPublic

Description

It looks like maybe this is also blocking my fix of the watchlist issue:

Aug 18 22:45:51 mw1017:  #012Catchable fatal error: Argument 1 passed to Flow\Formatter\RevisionFormatter::formatApi() must be an instance of Flow\Formatter\FormatterRow, bool given in /srv/mediawiki/php-1.26wmf19/extensions/Flow/includes/Formatter/RevisionFormatter.php on line 331
Aug 18 23:12:11 mw1133:  #012Catchable fatal error: Argument 1 passed to Flow\Formatter\RevisionFormatter::formatApi() must be an instance of Flow\Formatter\FormatterRow, bool given in /srv/mediawiki/php-1.26wmf18/extensions/Flow/includes/Formatter/RevisionFormatter.php on line 331
Aug 18 23:17:00 mw1221:  #012Catchable fatal error: Argument 1 passed to Flow\Formatter\RevisionFormatter::formatApi() must be an instance of Flow\Formatter\FormatterRow, bool given in /srv/mediawiki/php-1.26wmf19/extensions/Flow/includes/Formatter/RevisionFormatter.php on line 331

From fatal.log:

2015-08-18 23:12:11 mw1133 enwiki fatal ERROR: [bc3b2ebf] /w/api.php   ErrorException from line 331 of /srv/mediawiki/php-1.26wmf18/extensions/Flow/includes/Formatter/RevisionFormatter.php: PHP Error: Argument 1 passed to Flow\Formatter\RevisionFormatter::formatApi() must be an instance of Flow\Formatter\FormatterRow, bool given {"exception":"[Exception ErrorException] (/srv/mediawiki/php-1.26wmf18/extensions/Flow/includes/Formatter/RevisionFormatter.php:331) PHP Error: Argument 1 passed to Flow\\Formatter\\RevisionFormatter::formatApi() must be an instance of Flow\\Formatter\\FormatterRow, bool given
[stacktrace]
#0 /srv/mediawiki/php-1.26wmf18/extensions/Flow/includes/Formatter/RevisionFormatter.php(331): MWExceptionHandler::handleError(integer, string, string, integer)
#1 /srv/mediawiki/php-1.26wmf18/extensions/Flow/includes/Formatter/IRCLineUrlFormatter.php(70): Flow\\Formatter\\RevisionFormatter->formatApi(boolean, RequestContext, string)
#2 /srv/mediawiki/php-1.26wmf18/extensions/Flow/includes/Formatter/IRCLineUrlFormatter.php(48): Flow\\Formatter\\IRCLineUrlFormatter->serializeRcRevision(RecentChange, RequestContext)
#3 /srv/mediawiki/php-1.26wmf18/includes/changes/RecentChange.php(384): Flow\\Formatter\\IRCLineUrlFormatter->getLine(array, RecentChange, NULL)
#4 /srv/mediawiki/php-1.26wmf18/extensions/Flow/includes/Data/Listener/RecentChangesListener.php(127): RecentChange->notifyRCFeeds(array)
#5 /srv/mediawiki/php-1.26wmf18/extensions/Flow/includes/Data/Listener/DeferredInsertLifecycleHandler.php(36): Flow\\Data\\Listener\\RecentChangesListener->onAfterInsert(Flow\\Model\\PostRevision, array, array)
#6 /srv/mediawiki/php-1.26wmf18/includes/deferred/CallableUpdate.php(27): Closure$Flow\\Data\\Listener\\DeferredInsertLifecycleHandler::onAfterInsert()
#7 /srv/mediawiki/php-1.26wmf18/includes/deferred/DeferredUpdates.php(119): MWCallableUpdate->doUpdate()
#8 /srv/mediawiki/php-1.26wmf18/includes/MediaWiki.php(697): DeferredUpdates::doUpdates(string)
#9 /srv/mediawiki/php-1.26wmf18/includes/MediaWiki.php(522): MediaWiki->restInPeace()
#10 [internal function]: Closure$MediaWiki::doPostOutputShutdown()
#11 {main}
"}
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to High.
Mattflaschen-WMF added a subscriber: Mattflaschen-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2015, 11:30 PM
Mattflaschen-WMF set Security to None.

Change 232411 had a related patch set uploaded (by Mattflaschen):
Fix error in IRCLineUrlFormatter

https://gerrit.wikimedia.org/r/232411

Change 232411 merged by jenkins-bot:
Fix error in IRCLineUrlFormatter

https://gerrit.wikimedia.org/r/232411

Mattflaschen-WMF raised the priority of this task from High to Unbreak Now!.
Mattflaschen-WMF claimed this task.

Note, this was also causing the insert to the RecentChanges table to fail:

Aug 18 23:12:11 mw1133:  #012Catchable fatal error: Argument 1 passed to Flow\Formatter\RevisionFormatter::formatApi() must be an instance of Flow\Formatter\FormatterRow, bool given in /srv/mediawiki/php-1.26wmf18/extensions/Flow/includes/Formatter/RevisionFormatter.php on line 331
Aug 18 23:12:11 mw1133:  #012Notice: Uncommitted DB writes (transaction from DatabaseBase::query (LinkCache::addLinkObj)). in /srv/mediawiki/php-1.26wmf18/includes/db/Database.php on line 4277
Aug 18 23:12:11 mw1133:  #012Notice: DB transaction callbacks still pending (from EmailNotification::updateWatchlistTimestamp). in /srv/mediawiki/php-1.26wmf18/includes/db/Database.php on line 4285
Aug 18 23:12:11 mw1133:  #012Notice: JobQueueGroup::__destruct: 3 buffered job(s) of type(s) RestbaseUpdateJob, RecentChangesUpdateJob never inserted. in /srv/mediawiki/php-1.26wmf18/includes/jobqueue/JobQueueGroup.php on line 420

Change 232413 had a related patch set uploaded (by Mattflaschen):
Fix error in IRCLineUrlFormatter

https://gerrit.wikimedia.org/r/232413

Change 232414 had a related patch set uploaded (by Mattflaschen):
Fix error in IRCLineUrlFormatter

https://gerrit.wikimedia.org/r/232414

Change 232413 merged by jenkins-bot:
Fix error in IRCLineUrlFormatter

https://gerrit.wikimedia.org/r/232413

Change 232414 merged by jenkins-bot:
Fix error in IRCLineUrlFormatter

https://gerrit.wikimedia.org/r/232414

Checked in betalabs - general regression testing for Recent changes display/consistency.

DannyH closed this task as Resolved.Aug 24 2015, 8:37 PM
DannyH added a subscriber: DannyH.